Bug 1730341 - [RFE] Support ovs-port with bonding mode balance-slb
Summary: [RFE] Support ovs-port with bonding mode balance-slb
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: nmstate
Version: 8.1
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 8.2
Assignee: Gris Ge
QA Contact: Mingyu Shi
URL:
Whiteboard:
Depends On:
Blocks: 1695115 1755139
TreeView+ depends on / blocked
 
Reported: 2019-07-16 13:51 UTC by Quique Llorente
Modified: 2020-02-21 09:53 UTC (History)
9 users (show)

Fixed In Version: nmstate-0.2.5-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
ovs bridge configuration script for customer0 (663 bytes, application/x-shellscript)
2019-07-16 13:51 UTC, Quique Llorente
no flags Details


Links
System ID Priority Status Summary Last Updated
Github nmstate nmstate pull 795 None closed OVS Link Aggregation 2020-02-19 21:14:44 UTC

Description Quique Llorente 2019-07-16 13:51:26 UTC
Created attachment 1591053 [details]
ovs bridge configuration script for customer0

Description of problem:

CNV team needs to configure ovs-bridge with a bonding port for customer0

The steps usin nmcli are the following:

## change these to match your hosts                                                                                   
default_device=em1                                                                                                    
secondary_device=em3                                                                                                  
                                                                                                                      
# make bridge                                                                                                         
nmcli conn add type ovs-bridge conn.interface brcnv                                                                   
nmcli conn add type ovs-port conn.interface port0 master brcnv                                                        
nmcli conn add type ovs-port conn.interface brcnv-port master brcnv                                                   
nmcli conn add type ovs-interface conn.id brcnv-iface conn.interface brcnv master brcnv-port ipv4.method auto         
                                                                                                                      
# make bond                                                                                                           
nmcli conn add type ovs-port conn.interface bond0 master brcnv ovs-port.bond-mode balance-slb                         
nmcli conn add type ethernet conn.interface \$default_device master bond0                                             
nmcli conn add type ethernet conn.interface \$secondary_device master bond0                                         


Version-Release number of selected component (if applicable):

nmsate v0.7.0


How reproducible:

nmstate does not have the implementation of ovs-port so there is no concept of bonding two interfaces into it.


Expected results:


Additional info:

Comment 4 Till Maas 2020-02-18 13:56:15 UTC
Approved upstream: https://github.com/nmstate/nmstate/pull/795

Comment 5 Gris Ge 2020-02-20 02:49:58 UTC
Example of OVS bond:


---
interfaces:
  - name: ovs-br0
    type: ovs-bridge
    state: up
    bridge:
      options:
        stp: false
      port:
        - name: ovs-bond1
          link-aggregation:
            mode: balance-slb
            slaves:
              - name: eth1
              - name: eth2


Note You need to log in before you can comment on or make changes to this bug.